org.apache.lucene.store

## Class MockDirectoryWrapper.FakeIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.store.MockDirectoryWrapper.FakeIOException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    MockDirectoryWrapper

      public static class MockDirectoryWrapper.FakeIOException
      extends IOException

  Use this when throwing fake `IOException`, e.g. from `MockDirectoryWrapper.Failure`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FakeIOException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FakeIOException

          public FakeIOException()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.